## python-odoorpc 0.10.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OdooRPC.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OdooRPC.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OdooRPC"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OdooRPC"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-odoorpc 0.4.1

=== debian/changelog ===
python-odoorpc (0.4.1-1) unstable; urgency=low

  * New upstream version.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 28 Nov 2015 00:12:43 +0000

python-odoorpc (0.3+dfsg-1) unstable; urgency=low

  * Still initial release (Closes: #793014).
  * Cherry-picked license clarification from author (commit 8780860).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 08 Aug 2015 21:18:34 +0000

python-odoorpc (0.3-1) unstable; urgency=low

  * Initial release (Closes: #793014).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 25 Jul 2015 17:38:08 +0000

=== debian/control ===
Source: python-odoorpc
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6b3),
               python-sphinx,
               python3-all,
               python3-setuptools,
               dh-python
Homepage: http://pythonhosted.org/OdooRPC/
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-odoorpc.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-odoorpc.git

Package: python-odoorpc
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python (>= 2.7)
Provides: ${python:Provides}
Description: pilot Odoo servers through RPC (Python 2)
 OdooRPC is a Python module providing an easy way to pilot your Odoo
 (formerly known as OpenERP or TinyERP) servers through RPC.
 .
 Features supported:
  - access to all data model methods (even browse) with an API similar
    to the server-side API,
  - use named parameters with model methods,
  - user context automatically sent providing support for
    internationalization,
  - browse records,
  - execute workflows,
  - manage databases,
  - reports downloading,
  - JSON-RPC protocol (SSL supported)
  .
 OdooRPC is a modern alternative to the older OERPLib by the same
 author. It supports both Python 2 and 3.
 .
 This package provides the module for Python 2.x.

Package: python3-odoorpc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: pilot Odoo servers through RPC (Python 3)
 OdooRPC is a Python module providing an easy way to pilot your Odoo
 (formerly known as OpenERP or TinyERP) servers through RPC.
 .
 Features supported:
  - access to all data model methods (even browse) with an API similar
    to the server-side API,
  - use named parameters with model methods,
  - user context automatically sent providing support for
    internationalization,
  - browse records,
  - execute workflows,
  - manage databases,
  - reports downloading,
  - JSON-RPC protocol (SSL supported)
  .
 OdooRPC is a modern alternative to the older OERPLib by the same
 author. It supports both Python 2 and 3.
 .
 This package provides the module for Python 3.x.

Package: python-odoorpc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: pilot Odoo servers through RPC (documentation)
 OdooRPC is a Python module providing an easy way to pilot your Odoo
 (formerly known as OpenERP or TinyERP) servers through RPC.
 .
 Features supported:
  - access to all data model methods (even browse) with an API similar
    to the server-side API,
  - use named parameters with model methods,
  - user context automatically sent providing support for
    internationalization,
  - browse records,
  - execute workflows,
  - manage databases,
  - reports downloading,
  - JSON-RPC protocol (SSL supported)
  .
 OdooRPC is a modern alternative to the older OERPLib by the same
 author. It supports both Python 2 and 3.
 .
 This package provides the documentation and an example.

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/odoorpc-$1\.tar\.gz/ \
  https://github.com/osiell/odoorpc/tags .*/v?(\d\S*)\.tar\.gz

## python-odoorpc 0.5.1

=== debian/changelog ===
python-odoorpc (0.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ W. Martin Borgert ]
  * New upstream version.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 22 Jan 2017 13:26:28 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                python3-setuptools,
                dh-python
 Homepage: http://pythonhosted.org/OdooRPC/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-odoorpc.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-odoorpc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-odoorpc.git
 
 Package: python-odoorpc

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=odoorpc

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_build: doc/sphinx_ext
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html

doc/sphinx_ext:
	cd doc; ln -sf ../sphinx_ext/ .

override_dh_clean:
	dh_clean
	rm -f doc/sphinx_ext

## python-odoorpc 0.7.0

=== debian/changelog ===
python-odoorpc (0.7.0-3) unstable; urgency=medium

  * d/control: add "Testsuite: autopkgtest-pkg-python"

 -- Philipp Huebner <debalance@debian.org>  Sat, 06 Feb 2021 15:56:50 +0100

python-odoorpc (0.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Philipp Huebner ]
  * Update Standards-Version: 4.5.1 (no changes needed)
  * Update version of debian/watch: 4
  * Add patch to fix unversioned python shebang in example.py
  * Drop obsolete debian/example.py

 -- Philipp Huebner <debalance@debian.org>  Mon, 28 Dec 2020 15:59:11 +0100

python-odoorpc (0.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
                                  Repository-Browse.

  [ Philipp Huebner ]
  * New upstream version 0.7.0
  * Replace uploader with myself (Closes: #882870)
  * Update debian/copyright
  * Update Standards-Version: 4.5.0
  * Upstream moved to https://github.com/OCA/odoorpc,
    update package accordingly
  * Switch to debhelper compat version 13
  * Add debian/python-odoorpc-doc.examples to install examples
  * Add debian/source/lintian-overrides
  * Replace "anti-privacy-breach" patch

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Aug 2020 10:42:40 +0200

python-odoorpc (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Fix long descriptions.

 -- Ondřej Nový <onovy@debian.org>  Fri, 26 Jul 2019 20:07:26 +0200

=== debian/control ===
Source: python-odoorpc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-sphinx,
               python3-all,
               python3-setuptools,
               dh-python
Homepage: https://pythonhosted.org/OdooRPC/
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-odoorpc.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-odoorpc
Testsuite: autopkgtest-pkg-python

Package: python3-odoorpc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: pilot Odoo servers through RPC (Python 3)
 OdooRPC is a Python module providing an easy way to pilot your Odoo
 (formerly known as OpenERP or TinyERP) servers through RPC.
 .
 Features supported:
  - access to all data model methods (even browse) with an API similar
    to the server-side API,
  - use named parameters with model methods,
  - user context automatically sent providing support for
    internationalization,
  - browse records,
  - execute workflows,
  - manage databases,
  - reports downloading,
  - JSON-RPC protocol (SSL supported)
 .
 OdooRPC is a modern alternative to the older OERPLib by the same
 author. It supports both Python 2 and 3.
 .
 This package provides the module for Python 3.x.

Package: python-odoorpc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: pilot Odoo servers through RPC (documentation)
 OdooRPC is a Python module providing an easy way to pilot your Odoo
 (formerly known as OpenERP or TinyERP) servers through RPC.
 .
 Features supported:
  - access to all data model methods (even browse) with an API similar
    to the server-side API,
  - use named parameters with model methods,
  - user context automatically sent providing support for
    internationalization,
  - browse records,
  - execute workflows,
  - manage databases,
  - reports downloading,
  - JSON-RPC protocol (SSL supported)
 .
 OdooRPC is a modern alternative to the older OERPLib by the same
 author. It supports both Python 2 and 3.
 .
 This package provides the documentation and an example.

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/odoorpc-$1\.tar\.gz/ \
  https://github.com/OCA/odoorpc/tags .*/v?(\d\S*)\.tar\.gz

## python-odoorpc 0.9.0

=== debian/changelog ===
python-odoorpc (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Update years in debian/copyright
  * Drop obsolete patches
  * Drop debian/python-odoorpc-doc.examples as example.py is no longer present
  * Update Standards-Version to 4.6.1 (no changes needed)
  * Update lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 18:36:56 +0100

python-odoorpc (0.7.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-odoorpc-doc: Add Multi-Arch: foreign.

  [ Philipp Huebner ]
  * Add patch to become compatible with Python 3.10 (Closes: #1001425)
  * debian/watch: remove filenamemangle
  * debian/copyright: update years
  * Update Standards-Version: 4.6.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Fri, 10 Dec 2021 13:52:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                dh-python
 Homepage: https://pythonhosted.org/OdooRPC/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-odoorpc.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-odoorpc
@@ -46,6 +46,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: pilot Odoo servers through RPC (documentation)
  OdooRPC is a Python module providing an easy way to pilot your Odoo
  (formerly known as OpenERP or TinyERP) servers through RPC.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=odoorpc

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_build: doc/sphinx_ext
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source build/html

doc/sphinx_ext:
	cd doc; ln -sf ../sphinx_ext/ .

override_dh_clean:
	dh_clean
	rm -f doc/sphinx_ext

## python-odoorpc 0.10.1

=== debian/changelog ===
python-odoorpc (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1
  * Update years in debian/copyright
  * Update Standards-Version: 4.6.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Jul 2023 14:06:23 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                dh-python
 Homepage: https://pythonhosted.org/OdooRPC/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-odoorpc.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-odoorpc

=== debian/watch ===
version=4

https://github.com/OCA/odoorpc/tags .*/v?(\d\S*)\.tar\.gz
